Index: /branches/2.3/language/uk_UA/admin.lang.php
===================================================================
--- /branches/2.3/language/uk_UA/admin.lang.php	(revision 13194)
+++ /branches/2.3/language/uk_UA/admin.lang.php	(revision 13195)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
@@ -57,6 +57,6 @@
 $lang['%d photos were deleted'] = '%d фотографій видалено';
 $lang['%d physical'] = ' %d фізичні';
-$lang['%d tag'] = '%d тег';
-$lang['%d tags'] = '%d тегів';
+$lang['%d tag'] = '%d теґ';
+$lang['%d tags'] = '%d теґів';
 $lang['%d user comment rejected'] = '%d коментар користувача відхилено';
 $lang['%d user comment validated'] = '%d коментар користувача перевірено';
@@ -84,5 +84,4 @@
 $lang['clean'] = 'прибрати';
 $lang['Comments for all'] = 'Коментарі для всіх';
-$lang['Comments'] = 'Коментарі';
 $lang['%d users deleted'] = '%d користувачів видалено';
 $lang['%d users were not updated.'] = '%d користувачів не оновлено.';
@@ -90,5 +89,4 @@
 $lang['%d users'] = '%d користувачів';
 $lang['%d waiting for validation'] = '%d очікують перевірки';
-$lang['%s has been successfully upgraded.'] = '%s успішно оновлено.';
 $lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s повинно бути встановлено в false в файлі local/config/config.inc.php';
 $lang['%s value is not correct file because exif are not supported'] = '%s значення некоректне, оскільки EXIF не підтримуються';
@@ -107,5 +105,4 @@
 $lang['Action'] = 'Дія';
 $lang['Actions'] = 'Дії';
-$lang['Activate field "%s"'] = 'Активувати поле "%s"';
 $lang['Activate icon "%s"'] = 'Активувати значок "%s"';
 $lang['Activate Navigation Bar'] = 'Активувати панель навігації';
@@ -116,5 +113,5 @@
 $lang['Active Themes'] = 'Активні теми';
 $lang['Add a filter'] = 'Додати фільтр';
-$lang['Add a tag'] = 'Додати тег';
+$lang['Add a tag'] = 'Додати теґ';
 $lang['Add a user'] = 'Додати користувача';
 $lang['Add a virtual album'] = 'Додати віртуальний альбом';
@@ -126,5 +123,4 @@
 $lang['Add New Theme'] = 'Додати нову тему';
 $lang['Add Photos'] = 'Додати фотографії';
-$lang['add tags'] = 'додати теги';
 $lang['Add write access to the "%s" directory'] = 'Додати право запису в директорію "%s"';
 $lang['Add'] = 'Додати';
@@ -154,5 +150,5 @@
 $lang['an error happened'] = 'помилка';
 $lang['An error occured during extraction (%s).'] = 'Помилка при отриманні файлу (%s).';
-$lang['An information email was sent to group "%s"'] = 'Електронний листт з інформацією відправлений до групи "%s"';
+$lang['An information email was sent to group "%s"'] = 'Електронний лист з інформацією відправлений до групи "%s"';
 $lang['and'] = 'і';
 $lang['Anomaly'] = 'Аномалія';
@@ -162,6 +158,6 @@
 $lang['Apply to sub-albums'] = 'Застосувати до під-альбомів';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Ви впевнені, що хочете встановити це оновлення? Ви повинні перевірити, чи ця версія не вимагає попереднього видалення.';
-$lang['Are you sure you want to delete this plugin?'] = 'Ви впевнені, що хочете видалити цей плагін?';
-$lang['Are you sure you want to install this plugin?'] = 'Ви впевнені, що хочете встановити цей плагін?';
+$lang['Are you sure you want to delete this plugin?'] = 'Ви впевнені, що хочете видалити цей плаґін?';
+$lang['Are you sure you want to install this plugin?'] = 'Ви впевнені, що хочете встановити цей плаґін?';
 $lang['Associate to album'] = 'Асоціювати до альбому';
 $lang['associate to group'] = 'Асоціювати до групи';
@@ -173,5 +169,4 @@
 $lang['Available only with HTML format'] = 'Доступно тільки з HTML-форматом';
 $lang['average time'] = 'середній час';
-$lang['Batch management'] = 'Керування партіями';
 $lang['Batch Manager'] = 'Пакетний менеджер';
 $lang['between'] = 'між';
@@ -179,6 +174,6 @@
 $lang['By %s'] = 'За %s';
 $lang['By rank'] = 'За рангом';
-$lang['Caddie management'] = 'Керування кадді';
-$lang['Caddie'] = 'Кадді';
+$lang['Caddie management'] = 'Керування кошиком';
+$lang['Caddie'] = 'Кошик';
 $lang['Complementary mail content'] = 'Додатковий зміст пошти';
 $lang['Configuration'] = 'Конфігурація';
@@ -206,14 +201,13 @@
 $lang['default'] = 'за замовчуванням';
 $lang['delete album'] = 'видалити альбом';
-$lang['Delete orphan tags'] = 'Видалити пусті теги';
+$lang['Delete orphan tags'] = 'Видалити пусті теґи';
 $lang['delete photo'] = 'видалити фотографію';
 $lang['Delete Representant'] = 'Видалити представника';
 $lang['Delete selected photos'] = 'Видалити виділені фотографії';
-$lang['Delete selected tags'] = 'Видалити виділені теги';
+$lang['Delete selected tags'] = 'Видалити виділені теґи';
 $lang['Delete selected users'] = 'Видалити виділених користувачів';
 $lang['Delete this language'] = 'Видалити цю мову';
 $lang['delete this site and all its attached elements'] = "Видалити цей сайт і всю пов'язану з ним інформацію";
 $lang['Delete this theme'] = 'Видалити цю тему';
-$lang['Delete'] = 'Видалити';
 $lang['delete'] = 'видалити';
 $lang['Deleted on'] = 'Видалено на';
@@ -235,18 +229,14 @@
 $lang['Documentation'] = 'Документація';
 $lang['Does not represent'] = 'Не відображати';
-$lang['Download'] = 'Завантажити';
 $lang['Download,'] = 'Завантажити,';
 $lang['Downloads'] = 'Завантаження';
 $lang['Drag to re-order'] = 'Натисніть та перетягніть, щоб змінити порядок';
-$lang['Drop into album'] = 'Капнути в альбом';
-$lang['duplicates'] = 'дублікати';
+$lang['Drop into album'] = 'Вибрати альбом';
 $lang['Edit album permissions'] = 'Редагувати права альбому';
-$lang['edit album permissions'] = 'редагувати права альбому';
 $lang['Edit album'] = 'Редагувати альбом';
-$lang['edit album'] = 'редагувати альбом';
 $lang['Edit photo information'] = 'Редагувати інформацію про фотографію';
 $lang['Edit ranks'] = 'Редагувати ряди';
-$lang['Edit selected tags'] = 'Редагувати виділені теги';
-$lang['Edit tags'] = 'Редагувати теги';
+$lang['Edit selected tags'] = 'Редагувати виділені теґи';
+$lang['Edit tags'] = 'Редагувати теґи';
 $lang['Element type'] = 'Тип елемента';
 $lang['Element'] = 'Елемент';
@@ -276,5 +266,4 @@
 $lang['File'] = 'Файл';
 $lang['File/directory read error'] = 'Помилка читання файлу/директорії';
-$lang['Filesize'] = 'Розмір файлу';
 $lang['Find a new representant by random'] = 'Знайти нові випадкові представлення';
 $lang['first photo added on %s'] = 'перша фотографія додана в %s';
@@ -292,5 +281,4 @@
 $lang['generate file listing.xml on remote site'] = 'генерувати файл listing.xml на віддаленому сайті';
 $lang['generate listing'] = 'генерувати лістинг';
-$lang['generated in'] = 'згенерований в';
 $lang['Get Support on Piwigo Forum'] = 'Отримати підтримку на форумі Piwigo';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Надайте право запису (chmod 777) директорії "%s" в кореневому каталозі установки Piwigo';
@@ -305,5 +293,4 @@
 $lang['Group management'] = 'Управління групами';
 $lang['Group name'] = 'Назва групи';
-$lang['group'] = 'група';
 $lang['Group'] = 'Група';
 $lang['Groups'] = 'Групи';
@@ -319,5 +306,4 @@
 $lang['High definition enabled'] = 'Висока чіткість включена';
 $lang['High definition'] = 'Висока чіткість';
-$lang['High filesize'] = 'Висока роздільна здатність файлу';
 $lang['high'] = 'високий';
 $lang['History'] = 'Історія';
@@ -347,16 +333,13 @@
 $lang['Manage permissions for user "%s"'] = 'Керувати дозволами користувача "%s"';
 $lang['Manage photo ranks'] = 'Керувати рейтингами світлин';
-$lang['manage photo ranks'] = 'керувати рейтингами світлин';
 $lang['manage sub-albums'] = 'керувати суб-альбомами';
-$lang['Manage tags'] = 'Керувати тегами';
+$lang['Manage tags'] = 'Керувати теґами';
 $lang['Manage this set of %d photos'] = 'Керувати цьою серією з %d світлин';
 $lang['Manage'] = 'Керувати';
-$lang['Manual order'] = 'Саморуч встановлений порядок';
+$lang['Manual order'] = 'власноруч встановлений порядок';
 $lang['manual order'] = 'саморуч встановлений порядок';
-$lang['max time'] = 'максимальний час';
 $lang['Deactivate all'] = 'Деактивувати все';
 $lang['No file was uploaded'] = 'Файл не був завантажений';
 $lang['No mail to send.'] = 'Немає пошти для відправки.';
-$lang['No missing thumbnail'] = 'Немає відсутніх іконок';
 $lang['No photo selected, %d photos in current set'] = 'Немає виділених фотографій, %d фото в поточному наборі';
 $lang['No photo selected, no action possible.'] = 'Немає виділених фотографій, немає можливих дій.';
@@ -377,7 +360,5 @@
 $lang['Optimizations have been completed with some errors.'] = 'Оптимізації були завершені з деякими помилками.';
 $lang['Optional URL keyword'] = "Необов'язкове ключове слово URL";
-$lang['maximum height'] = 'Максимальна висота';
 $lang['Maximum Height'] = 'Максимальна висота';
-$lang['maximum width'] = 'Максимальна ширина';
 $lang['Maximum Width'] = 'Максимальна ширина';
 $lang['Members'] = 'Члени';
@@ -385,6 +366,4 @@
 $lang['Metadata synchronization results'] = 'Результати синхронізації метаданих';
 $lang['Metadata synchronized from file'] = 'Метадані синхронізовані з файлу';
-$lang['min time'] = 'мін. час';
-$lang['Miniaturization parameters'] = 'Параметри мініатюрізації';
 $lang['Minimum privacy level'] = 'Мінімальний рівень приватності';
 $lang['Miscellaneous'] = 'Різне';
@@ -401,6 +380,6 @@
 $lang['Order of menubar items has been updated successfully.'] = 'Порядок пунктів меню був успішно оновлений.';
 $lang['Original templates'] = 'Оригінальні шаблони';
-$lang['Orphan tags deleted'] = 'Порожні теги видалені';
-$lang['Other plugins'] = 'Інші плагіни';
+$lang['Orphan tags deleted'] = 'Порожні теґи видалені';
+$lang['Other plugins'] = 'Інші плаґіни';
 $lang['Other private albums'] = 'Інші приватні альбоми';
 $lang['other'] = 'інший';
@@ -420,10 +399,10 @@
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Будь ласка перевірте дозволи для теки "plugins" та вкладених тек (CHMOD).';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader стоїть для <em>Piwigo Завантажувача</em>. На вашому компьютері, pLoader готує ваши світлини та відсилає їх до вашої Piwigo галереї.';
-$lang['Plugin has been successfully copied'] = 'Плагін було успішно скопійовано';
-$lang['Plugin list'] = 'Список плагінів';
-$lang['Plugins which need upgrade'] = 'Плагіни які потребують модернізації';
-$lang['Plugins'] = 'Плагіни';
+$lang['Plugin has been successfully copied'] = 'Плаґін було успішно скопійовано';
+$lang['Plugin list'] = 'Список плаґінів';
+$lang['Plugins which need upgrade'] = 'Плаґіни які потребують модернізації';
+$lang['Plugins'] = 'Плаґіни';
 $lang['Position'] = 'Позиція';
-$lang['predefined filter'] = 'попередньо встановленний фільтер';
+$lang['predefined filter'] = 'Попередньо встановленний фільтер';
 $lang['Preferences'] = 'Уподобання';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Час для підготовки списку користувачів яким буде відправлено листи обмежений. Інші користувачі не перераховані.';
@@ -444,5 +423,4 @@
 $lang['Photo informations updated'] = 'Інформацію про світлину оновлено';
 $lang['Photo unreachable or no support'] = 'Світлина недоступна або непідтримуваний формат';
-$lang['photos without thumbnail (jpeg and png only)'] = 'Світлини без мініатюр (jpeg і png тільки)';
 $lang['Piwigo Administration'] = 'Керування Piwigo';
 $lang['Piwigo Announcements Newsletter'] = 'Розсилка оголошень Piwigo';
@@ -467,5 +445,4 @@
 $lang['Remove all filters'] = 'Видалити всі фільтри';
 $lang['remove author'] = 'видалити автора';
-$lang['Password confirmation error.'] = 'Помилка підтвердження пароля.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Відсутнє підтвердження пароля. Будь ласка, підтвердіть вибраний пароль.';
 $lang['Password is missing. Please enter the password.'] = 'Пароль відсутній. Будь ласка введіть пароль.';
@@ -497,5 +474,4 @@
 $lang['This site already exists'] = 'Цей сайт вже існує';
 $lang['This theme was not designed to be directly activated'] = 'Ця тема не була призначена для безпосереднього активування';
-$lang['Thumbnail creation'] = 'Створення мініатюри';
 $lang['Thumbnail'] = 'Мініатюра';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Час для відправки пошти обмежений. Інші листи були пропущені.';
@@ -512,7 +488,4 @@
 $lang['Type in a search term'] = 'Введіть слово для пошуку';
 $lang['Save order'] = 'Порядок збереження';
-$lang['Save page visits by administrators'] = 'Зберігати сторінки відвідані адміністратором';
-$lang['Save page visits by guests'] = 'Зберігати сторінки відвідані гостями';
-$lang['Save page visits by users'] = 'Зберігати сторінки відвідані користувачами';
 $lang['Save Settings'] = 'Зберігти налаштування';
 $lang['Save to permalink history'] = 'Зберегти в історію постіних посилань';
@@ -531,6 +504,5 @@
 $lang['selection'] = 'вибір';
 $lang['Selection'] = 'Вибір';
-$lang['Restore default configuration. You will lose your plugin settings!'] = 'Відновлення конфігурації за замовчуванням. Ви втратите налаштування плагіна!';
-$lang['Results of miniaturization'] = 'Результати процесу мініатюризації';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Відновлення конфігурації за замовчуванням. Ви втратите налаштування плаґіна!';
 $lang['Send an information email to group members'] = 'Надіслати інформаційний лист членам групи';
 $lang['Send mail as'] = 'Надіслати лист як';
@@ -550,5 +522,4 @@
 $lang['singly represented'] = 'фіксоване представлення';
 $lang['Site manager'] = 'Менеджер сайту';
-$lang['Specials'] = 'Спеціальні';
 $lang['Average rate'] = 'Середній бал';
 $lang['Rate'] = 'Оцінити';
@@ -560,5 +531,5 @@
 $lang['Storage album'] = 'Зберегти альбом';
 $lang['sub-albums'] = 'під-альбоми';
-$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Підписати %s на розсилку новин Piwigo';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Підписати %s на розсилання новин Piwigo';
 $lang['Subscribe %s'] = 'Підписати %s';
 $lang['Subscribe to notification by mail'] = 'Підписатися на повідомлення поштою';
@@ -570,10 +541,7 @@
 $lang['Summary'] = 'Резюме';
 $lang['Support'] = 'Підтримка';
-$lang['The following tag was deleted'] = 'Наступний тег був видалений';
+$lang['The following tag was deleted'] = 'Наступний теґ був видалений';
 $lang['the forum'] = 'форум';
 $lang['The gallery URL is not valid.'] = 'URL на галерею не валідний.';
-$lang['The high definition image quality must be a number between %d and %d'] = 'Зображення високої якості повинно бути число між %d і %d';
-$lang['The high definition maximum height must be a number between %d and %d'] = 'Максимальна висота високої якості повинна бути число між %d і %d';
-$lang['The high definition maximum width must be a number between %d and %d'] = 'Максимальна ширина високої якості повинна бути число між %d and %d';
 $lang['The name of a group must not contain " or \' or be empty.'] = 'Назва групи не повинна вміщувати " чи \' чи бути порожньою.';
 $lang['The name of an album must not be empty'] = 'Назва альбому не повинна бути порожньою';
@@ -581,12 +549,11 @@
 $lang['The number of comments a page must be between 5 and 50 included.'] = 'Число коментарів на сторінці повинно бути між 5 і 50 включно.';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Посилання повинне складатися з a-z, A-Z, 0-9, "-", "_" або "/". Воно не повинно бути числовим або починатися з цифри, що слідують за "-"';
-$lang['The thumbnail image quality must be a number between %d and %d'] = 'Якість ескізів зображень має бути число від %d і %d';
 $lang['Switch to clear or dark colors for administration'] = 'Переключити на світлі або темні кольори для адміністрації';
 $lang['synchronize files metadata with database photos informations'] = 'синхронізувати базу даних фотографій з метаданими файлів';
 $lang['synchronize files structure with database'] = 'синхронізувати структуру файлів з базою данних';
 $lang['Synchronize'] = 'Синхронізувати';
-$lang['Tag "%s" already exists'] = 'Тег "%s" вже існує';
-$lang['Tag "%s" was added'] = 'Тег "%s" додано';
-$lang['Tag selection'] = 'Вибір тегів';
+$lang['Tag "%s" already exists'] = 'Теґ "%s" вже існує';
+$lang['Tag "%s" was added'] = 'Теґ "%s" додано';
+$lang['Tag selection'] = 'Вибір теґів';
 $lang['target'] = 'мета';
 $lang['Templates configuration has been recorded.'] = 'Конфігурацію шаблонів збережено.';
@@ -594,16 +561,16 @@
 $lang['test this remote site'] = 'перевірити цев віддалений вузол';
 $lang['test'] = 'тест';
-$lang['The %d following tags were deleted'] = 'Наступні %d теги видалено';
+$lang['The %d following tags were deleted'] = 'Наступні %d теґи видалено';
 $lang['The anomaly will be ignored until next application version'] = 'Аномалію буде проігноровано до виходу наступної версії програми';
-$lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Файл або тека недоступні (або вони не існують або доступ заборонено)';
+$lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Файл або тека недоступні (або вони не існують або доступ заборонено)'; 
 $lang['%s photos can not be regenerated'] = '%s фотографії не можуть бути відновлені';
 $lang['%s photos have been regenerated'] = '%s фотографії були відновлені';
 $lang['%s thumbnails can not be regenerated'] = '%s ескізи не можуть бути відновлені';
 $lang['%s thumbnails have been regenerated'] = '%s ескізи були відновлені';
-$lang['(this tag will be deleted)'] = '(цей тег буде видалений)';
+$lang['(this tag will be deleted)'] = '(цей теґ буде видалений)';
 $lang['... or '] = '... або ';
 $lang['All extensions are up to date.'] = 'Всі розширення останніх версій.';
 $lang['All languages are up to date.'] = 'Всі мови останніх версій.';
-$lang['All plugins are up to date.'] = 'Всі плагінни останніх версій.';
+$lang['All plugins are up to date.'] = 'Всі плаґінни останніх версій.';
 $lang['All themes are up to date.'] = 'Всі теми останніх версій.';
 $lang['Allowed file types: %s.'] = 'Дозволені типи файлів: %s.';
@@ -643,4 +610,5 @@
 $lang['Languages'] = 'Мови';
 $lang['Last hit'] = 'Останне влучення';
+$lang['last import'] = 'Останній імпорт';
 $lang['Last revisions'] = 'Останні зміни';
 $lang['Last send'] = 'Останне відіслане';
@@ -661,5 +629,5 @@
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'В вашому файлі php.ini, параметр upload_max_filesize (%sB) більший за параметр post_max_size (%sB), вам необхідно змінити ці налаштування';
 $lang['Inactive Languages'] = 'Неактивні мови';
-$lang['Inactive Plugins'] = 'Неактивні плагіни';
+$lang['Inactive Plugins'] = 'Неактивні плаґіни';
 $lang['Inactive Themes'] = 'Неактивні теми';
 $lang['include child albums'] = 'включити дочірні альбоми';
@@ -687,4 +655,186 @@
 $lang['Mail address is obligatory for all users'] = 'електронная пошта обов`язкова для всіх користувачів';
 $lang['Mail content'] = 'Зміст листа'; 
-
+$lang['Mail sent to %s [%s].'] = 'Поштові повідомлення на %s [%s].';
+$lang['Main "guest" user does not exist'] = 'Основний "гість" користувача не існує';
+$lang['Main "guest" user status is incorrect'] = 'Основний "гість" статус користувача невірно';
+$lang['Main "webmaster" user does not exist'] = 'Основний "веб-майстер" користувача не існує';
+$lang['Main "webmaster" user status is incorrect'] = 'Основний "веб-майстер" статус користувача невірно';
+$lang['Main Page'] = 'Головна сторінка';
+$lang['Main'] = 'Головна';
+$lang['Maintenance'] = 'Обслуговування';
+$lang['Manage Permissions'] = 'Управління дозволами';
+$lang['Maximum file size: %sB.'] = 'Максимальний розмір файлу: %sB.';
+$lang['Merge selected tags'] = 'Злиття обраних теґів';
+$lang['Merge tags'] = 'Злиття теґів';
+$lang['New Version'] = 'Нова версія';
+$lang['No destination tag selected'] = 'Немає призначення обраний теґ';
+$lang['Obsolete Plugins'] = 'Застарілі плаґіни';
+$lang['Photo %s of %s'] = 'Фотографія %s з %s';
+$lang['Photos generation in progress...'] = 'Генерація фотографій в процесі...';
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo не може отримати файл оновлення з сервера';
+$lang['Piwigo Update'] = 'Piwigo оновлення';
+$lang['Please wait...'] = 'Будь ласка, зачекайте...';
+$lang['Regenerate Thumbnails'] = 'Відновити мініатюри';
+$lang['Regenerate Websize Photos'] = 'Відновити розмір фотографій';
+$lang['remove creation date'] = 'видалити дату створення';
+$lang['Remove from caddie'] = 'Видалити з кошику';
+$lang['remove remote listing.xml file'] = 'видалити віддалений файл listing.xml';
+$lang['remove tags'] = 'видалити теґи';
+$lang['remove this filter'] = 'видалити цей фільтр';
+$lang['remove title'] = 'видалити назву';
+$lang['Repair and optimize database'] = 'Ремонт та оптимізації бази даних';
+$lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Заміна оригінальних шаблонів, налаштованих шаблонів від шаблонів розширення підтеки';
+$lang['Replacers (customized templates)'] = 'Substitutes (customized templates)';
+$lang['Representant'] = 'Ескіз альбому';
+$lang['Representation of albums'] = 'Ескіз альбомів';
+$lang['Representative'] = 'Ескіз альбому';
+$lang['Represents'] = 'Є ескіз для';
+$lang['Reset ignored updates'] = 'Скидання ігнорування оновлення';
+$lang['Resize'] = 'Зміна розміру';
+$lang['Restore'] = 'Відновлення';
+$lang['Save Template Directory'] = 'Зберегти шаблон каталогу';
+$lang['Select an album'] = 'Виберіть альбом';
+$lang['Select at least two tags for merging'] = 'Виберіть принаймні два теґа для об\'єднання';
+$lang['Select the destination tag'] = 'Виберіть призначення теґу';
+$lang['show details'] = 'показати деталі';
+$lang['Some themes and plugins may be not available yet.'] = 'Деякі теми і плаґіни можуть бути не доступні.';
+$lang['Some upgrades are available for extensions.'] = 'Деякі оновлення доступні для розширення.';
+$lang['Start Upload'] = 'Початок завантаження';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Теґи <em>%s</em> об\'єднані в теґ <em>%s</em>';
+$lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'Розмір завантаження перевищує MAX_FILE_SIZE директиву, яка була вказана в HTML-формі';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'Розмір завантаження перевищує upload_max_filesize директиви php.ini: %sB';
+$lang['The uploaded file was only partially uploaded'] = 'Завантажений файл був завантажений лише частково';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'Завантажених файлів перевищує post_max_size директиви php.ini: %sB';
+$lang['The version of %s [%s] installed is not compatible with the version required [%s]'] = 'Встановлена версія %s [%s] ​​не сумісна з версією, потрібно [%s]';
+$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'Вебмастер підписався на Вас поштою.';
+$lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Вебмастер відписався від Вас поштою.';
+$lang['The whole page'] = 'Вся сторінка';
+$lang['The whole set'] = 'Вся установка';
+$lang['the wiki'] = 'вікі';
+$lang['Theme has been successfully installed'] = 'Тему було успішно встановлено';
+$lang['Themes which need upgrade'] = 'Теми, які необхідно оновити';
+$lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'Це велике оновлення з <a href="%s">нововведеннями</a>.';
+$lang['This is a minor update, with only bug corrections.'] = 'Це невелике оновлення, тільки з виправленнями помилок.';
+$lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'ЦЕЙ ПЛАҐІН Є ЧАСТИНОЮ CORE Piwigo! ВИДАЛІТЬ ЙОГО НЕГАЙНО!';
+$lang['Thumbnails generation in progress...'] = 'Генерація ескізів в процесі...';
+$lang['Two updates are available'] = 'Два доступних оновлень';
+$lang['Unable to check for upgrade.'] = 'Неможливо перевірити наявність оновлень.';
+$lang['Unable to dump database.'] = 'Неможливо зберегти базу даних.';
+$lang['Uncheck all'] = 'Зняти все';
+$lang['Uninstall'] = 'Видалити';
+$lang['Uninstalled Plugins'] = 'Видалити плаґіни';
+$lang['unit mode'] = 'однокористувацький режим';
+$lang['unknown'] = 'невідомий';
+$lang['Unknown upload error'] = 'Невідома помилка при завантаженні';
+$lang['Unlocked'] = 'Розблоковано';
+$lang['unset'] = 'встановлено';
+$lang['Unsubscribe from notification by mail'] = 'Відмовитися від повідомлень по електронній пошті';
+$lang['Unsubscribed'] = 'Відписався';
+$lang['Update albums informations'] = 'Оновлення інформації альбомів';
+$lang['Update All'] = 'Оновити все';
+$lang['Update Complete'] = 'Оновлення завершено';
+$lang['Update in progress... Please wait.'] = 'Триває оновлення... Будь ласка, почекайте.';
+$lang['Update photos information'] = 'Оновлення інформації фотографій';
+$lang['update the database from files'] = 'оновлення бази даних з файлами';
+$lang['Update to Piwigo %s'] = 'Оновлення Piwigo %s';
+$lang['Updates'] = 'Оновлення';
+$lang['Upload'] = 'Завантажити';
+$lang['Upload Photos'] = 'Завантажити фотографії';
+$lang['Uploaded Photos'] = 'Завантажено світлини';
+$lang['Use the default photo sort order (defined in the configuration file)'] = 'За допомогою сортування за замовчуванням фото порядку (визначені в файлі конфігурації)';
+$lang['Used metadata'] = 'метадані, що використовуються';
+$lang['User'] = 'Користувач';
+$lang['user "%s" added'] = 'користувача "%s" додано';
+$lang['User "%s" created with "%s" like password'] = 'Користувачу "%s" створено "%s" в якості пароля';
+$lang['User %s [%s] added.'] = 'Користувача %s [%s] додано.';
+$lang['User %s [%s] was added to the subscription list.'] = 'Користувача %s [%s] додано до списку підписників.';
+$lang['User %s [%s] was not added to the subscription list.'] = 'Користувача %s [%s] не додано до списку підписників.';
+$lang['User %s [%s] was not removed from the subscription list.'] = 'Користувач %s [%s] не видаляється зі списку розсилки.';
+$lang['User %s [%s] was removed from the subscription list.'] = 'Користувач %s [%s] видалений зі списку розсилки.';
+$lang['User comments validation'] = 'Перевірка коментарів користувачів';
+$lang['User list'] = 'Список користувачів';
+$lang['User status'] = 'Статус користувача';
+$lang['Users'] = 'Користувачі';
+$lang['user_status_admin'] = 'Адміністратор';
+$lang['user_status_generic'] = 'Загальний';
+$lang['user_status_guest'] = 'Гість';
+$lang['user_status_normal'] = 'Користувач';
+$lang['user_status_webmaster'] = 'Веб-майстер';
+$lang['Validate'] = 'Підтвердження';
+$lang['Validation'] = 'Перевірка';
+$lang['Version'] = 'Версія';
+$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Версії create_listing_file.php на віддаленому сайті і Piwigo повинна бути однаковими';
+$lang['Virtual album'] = 'Віртуальний альбом';
+$lang['Virtual album added'] = 'Віртуальний альбом додано';
+$lang['Virtual album deleted'] = 'Віртуальний альбом видалено';
+$lang['Virtual album name'] = 'Назва віртуального альбому';
+$lang['Virtual albums to move'] = 'Віртуальні альбоми для переміщення';
+$lang['Virtual Links'] = 'Віртуальні посилання';
+$lang['Visit Gallery'] = 'Відвідайте галерею';
+$lang['Visit language site'] = 'Відвідайте сайт мови';
+$lang['Visit Piwigo project website'] = 'Відвідайте веб-сайт проекту Piwigo';
+$lang['Visit plugin site'] = 'Відвідайте сайт плаґіну';
+$lang['Visit theme site'] = 'Відвідайте сайт теми';
+$lang['Waiting'] = 'В очікуванні';
+$lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = 'УВАГА! Цей плаґін, здається, не сумісні з цією версією Piwigo.';
+$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Попередження: передплата і відписка буде надсилати електронну пошту користувачів';
+$lang['Webmaster cannot be deleted'] = 'Для веб-майстрів не може бути видалений';
+$lang['Webmaster status is required.'] = 'Веб-майстеру статус не потрібен.';
+$lang['Week starts on'] = 'Початок тижня';
+$lang['Who can see these photos?'] = 'Хто може бачити ці фотографії?';
+$lang['Who can see this photo?'] = 'Хто може бачити цю фотографію?';
+$lang['Width'] = 'Ширина';
+$lang['width must be a number superior to'] = 'ширина повинна бути трохи більше, ніж';
+$lang['With blank value, gallery title will be used'] = 'Якщо це поле порожнє, галерея буде використовувати назву';
+$lang['with no album'] = 'При відсутності альбому';
+$lang['with no tag'] = 'При відсутності теґів';
+$lang['with no virtual album'] = 'При відсутності віртуального альбому';
+$lang['wrong filename'] = 'неправильне ім\'я файлу';
+$lang['Year'] = 'Рік';
+$lang['You are running on development sources, no check possible.'] = 'Ви працюєте на розвиток джерела, не перевірити це можливо.';
+$lang['You are running the latest version of Piwigo.'] = 'Ви працюєте з Piwigo останньої версії.';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Ви використовуєте браузерний завантажувач. Спробуйте <a href="%s">Флеш завантажувач</a>.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Ви використовуєте Флеш завантажувач. Проблеми? Спробуйте браузерний <a href="%s">завантажувач</a>.';
+$lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Ви можете оновити Piwigo %s напряму, без переходу на Piwigo %s (рекомендовано).';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Ви не можете визначити порядок за замовчуванням фотографії, тому що у Вас є налаштування користувача у вашій локальній конфігурації.';
+$lang['You cannot delete your account'] = 'Ви не можете видалити свій аккаунт';
+$lang['You cannot move an album in its own sub album'] = 'Ви не можете переміщати альбом в свій під-альбом';
+$lang['You have %d orphan tags: %s.'] = 'У вас є %d теґи-сироти: %s.';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Ви вказали <i>$conf[\'order_by\']</i> в локальному файлі конфігурації, цей параметр в застарів, будь ласка, видаліть його або перейменувати його в <i>$conf[\'order_by_custom\']</i> !';
+$lang['You have subscribed to receiving notifications by mail.'] = 'Ви підписалися на отримання повідомлень електронною поштою.';
+$lang['You have unsubscribed from receiving notifications by mail.'] = 'Ви відписалися від отримання повідомлення поштою.';
+$lang['You might go to plugin list to install and activate it.'] = 'Перейти до списку плаґінів для інсталяції та активації.';
+$lang['You need to confirm deletion'] = 'Ви повинні підтвердити видалення';
+$lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = 'Ви повинні оновити систему в повній мірі скористатися додатком, в іншому випадку програма може працювати неправильно, або взагалі не працювати';
+$lang['Your configuration settings are saved'] = 'Параметри конфігурації зберігаються';
+$lang['[%s] Visit album %s'] = '[%s] Відвідайте альбом %s';
+$lang['[NBM] Problems or questions'] = '[НБМ] Проблеми та питання';
+$lang['%s has been successfully upgraded.'] = '%s успішно оновлено.';
+$lang['Activate field "%s"'] = 'Активувати поле "%s"';
+$lang['add tags'] = 'додати теги';
+$lang['Batch management'] = 'Керування партіями';
+$lang['Comments'] = 'Коментарі';
+$lang['Delete'] = 'Видалити';
+$lang['Download'] = 'Завантажити';
+$lang['duplicates'] = 'дублікати';
+$lang['edit album permissions'] = 'редагувати права альбому';
+$lang['edit album'] = 'редагувати альбом';
+$lang['Filesize'] = 'Розмір файлу';
+$lang['generated in'] = 'згенерований в';
+$lang['group'] = 'група';
+$lang['High filesize'] = 'Висока роздільна здатність файлу';
+$lang['manage photo ranks'] = 'керувати рейтингами світлин';
+$lang['max time'] = 'максимальний час';
+$lang['maximum height'] = 'Максимальна висота';
+$lang['maximum width'] = 'Максимальна ширина';
+$lang['min time'] = 'мін. час';
+$lang['Miniaturization parameters'] = 'Параметри мініатюрізації';
+$lang['No missing thumbnail'] = 'Немає відсутніх іконок';
+$lang['Password confirmation error.'] = 'Помилка підтвердження пароля.';
+$lang['photos without thumbnail (jpeg and png only)'] = 'Світлини без мініатюр (jpeg і png тільки)';
+$lang['Results of miniaturization'] = 'Результати процесу мініатюризації';
+$lang['Save page visits by administrators'] = 'Зберігати сторінки відвідані адміністратором';
+$lang['Save page visits by guests'] = 'Зберігати сторінки відвідані гостями';
+$lang['Save page visits by users'] = 'Зберігати сторінки відвідані користувачами';
+$lang['Specials'] = 'Спеціальні';
 ?>
Index: /branches/2.3/language/uk_UA/common.lang.php
===================================================================
--- /branches/2.3/language/uk_UA/common.lang.php	(revision 13194)
+++ /branches/2.3/language/uk_UA/common.lang.php	(revision 13195)
@@ -34,5 +34,5 @@
 $lang_info['direction'] = "ltr";
 $lang_info['code'] = "ua";
-$lang_info['zero_plural'] = "1";
+$lang_info['zero_plural'] = true;
 
 $lang['%d album updated'] = '%d альбом оновлено';
@@ -51,8 +51,7 @@
 $lang['%d new users'] = 'нових користувачів: %d';
 $lang['About'] = 'Про програму';
-$lang['All tags'] = 'Всі теги';
-$lang['Any tag'] = 'Будь-який тег';
+$lang['All tags'] = 'Всі теґи';
+$lang['Any tag'] = 'Будь-який теґ';
 $lang['At least one listed rule must be satisfied.'] = 'Хоча б одне правило повинне виконуватись.';
-$lang['At least one tag must match'] = 'Хоча б один тег повинен бути присутнім';
 $lang['Author'] = 'Автор';
 $lang['Albums'] = 'Альбоми';
@@ -104,5 +103,4 @@
 $lang['month'][8] = "Серпень";
 $lang['month'][9] = "Вересень";
-$lang['New password confirmation does not correspond'] = 'Підтвердження нового пароля не співпадає';
 $lang['Notification'] = 'Повідомлення';
 $lang['Number of items'] = 'Кількість елементів';
@@ -117,16 +115,16 @@
 $lang['Register'] = 'Реєстрація';
 $lang['Registration'] = 'Реєстрація';
-$lang['Related tags'] = "Пов'язані теги";
+$lang['Related tags'] = 'Пов\'язані теґи';
 $lang['Reset'] = 'Скинути';
 $lang['Retrieve password'] = 'Відновити пароль';
 $lang['Search rules'] = 'Критерії пошуку';
-$lang['Search tags'] = 'Теги пошуку';
+$lang['Search tags'] = 'Теґи пошуку';
 $lang['Search'] = 'Пошук';
-$lang['display available tags'] = 'відображати доступні теги';
+$lang['display available tags'] = 'відображати доступні теґи';
 $lang['Since'] = 'З';
 $lang['Sort by'] = 'Сортувати за';
 $lang['Sort order'] = 'Порядок сортування';
-$lang['Tag'] = 'Тег';
-$lang['Tags'] = 'Теги';
+$lang['Tag'] = 'Теґ';
+$lang['Tags'] = 'Теґи';
 $lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS канал надсилає повідомлення про нові події з цього сайту: нові фотографії, оновлені альбоми, нові коментарі. Використовуйте читання RSS каналів.';
 $lang['Unknown feed identifier'] = 'Невідомий ідентифікатор каналу';
@@ -138,5 +136,4 @@
 $lang['About Piwigo'] = 'Про Piwigo';
 $lang['You are not authorized to access the requested page'] = 'Ви не авторизовані для доступу до запитуваної сторінки';
-$lang['add to caddie'] = 'додати в кадді';
 $lang['add this photo to your favorites'] = 'Додати це фото в обране';
 $lang['Administration'] = 'Адміністрування';
@@ -169,5 +166,5 @@
 $lang['group by letters'] = "групувати по буквах";
 $lang['letters'] = "букви";
-$lang['show tag cloud'] = "показувати хмару тегів";
+$lang['show tag cloud'] = 'показувати хмару теґів';
 $lang['cloud'] = "хмара";
 $lang['Reset to default values'] = "Скинути на значення за замовчуванням";
@@ -182,5 +179,4 @@
 $lang['Best rated'] = 'Найбільший рейтинг';
 $lang['display best rated photos'] = 'показати фотографії з найбільшим рейтингом';
-$lang['caddie'] = 'Кадді';
 $lang['Calendar'] = 'Календар';
 $lang['All'] = 'Всі';
@@ -197,5 +193,5 @@
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Ваш коментар НЕ був зареєстрований, оскільки він не відповідає вимогам';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Адміністратор повинен авторизувати ваш коментар перед тим, як він стане видимим.';
-$lang['This login is already used by another user'] = 'Цей логін вже використовується іншим користувачем';
+$lang['This login is already used by another user'] = 'Цей лоґін вже використовується іншим користувачем';
 $lang['Comments'] = 'Коментарі';
 $lang['Add a comment'] = 'Додати коментар';
@@ -210,12 +206,10 @@
 $lang['Delete'] = 'Видалити';
 $lang['descending'] = 'в порядку спадання';
-$lang['download'] = 'завантажити';
-$lang['download this file'] = 'завантажити цей файл';
 $lang['edit'] = 'редагувати';
 $lang['wrong date'] = 'невірна дата';
 $lang['excluded'] = 'вилучено';
-$lang['Your favorites'] = 'Ваші вибрані';
-$lang['display your favorites photos'] = 'показати ваші вибрані фотографії';
-$lang['Favorites'] = 'Вибрані';
+$lang['Your favorites'] = 'Ваше обране';
+$lang['display your favorites photos'] = 'показати ваші обрані фотографії';
+$lang['Favorites'] = 'Обрані';
 $lang['First'] = 'Початок';
 $lang['The gallery is locked for maintenance. Please, come back later.'] = 'Галерея закрита для обслуговування. Будь ласка, зайдіть пізніше.';
@@ -228,5 +222,5 @@
 $lang['customize the appareance of the gallery'] = 'налаштувати зовнішній вигляд галереї';
 $lang['search'] = 'пошук';
-$lang['Home'] = 'Додому';
+$lang['Home'] = 'Домашня сторінка';
 $lang['in this album'] = 'в цьому альбомі';
 $lang['in %d sub-album'] = 'в %d під-альбомі';
@@ -238,6 +232,5 @@
 $lang['Last'] = 'Кінець';
 $lang['Logout'] = 'Вийти';
-$lang['E-mail address'] = 'E-mail адреса';
-$lang['Links'] = 'Ссилки';
+$lang['Links'] = 'Посилання';
 $lang['New on %s'] = 'Нове на %s';
 $lang['obligatory'] = "обов'язкове";
@@ -277,16 +270,15 @@
 $lang['display most recent photos'] = 'показувати останні фотографії';
 $lang['Redirection...'] = 'Перенаправлення...';
-$lang['Please, enter a login'] = 'Будь ласка, введіть логін';
-$lang['login mustn\'t end with a space character'] = 'логін не повинен закінчуватися на пробіл';
-$lang['login mustn\'t start with a space character'] = 'логін не повинен починатися з пробілу';
-$lang['this login is already used'] = 'цей логін вже використовується';
+$lang['Please, enter a login'] = 'Будь ласка, введіть лоґін';
+$lang['login mustn\'t end with a space character'] = 'лоґін не повинен закінчуватися на пробіл';
+$lang['login mustn\'t start with a space character'] = 'лоґін не повинен починатися з пробілу';
+$lang['this login is already used'] = 'цей лоґін вже використовується';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'адреса електронної пошти повинна бути у вигляді xxx@yyy.eee (наприклад : jack@altern.org)';
 $lang['please enter your password again'] = 'будь ласка, введіть свій пароль ще раз';
-$lang['Auto login'] = 'Автологін';
-$lang['remove this tag from the list'] = 'видалити цей тег зі списку';
+$lang['Auto login'] = 'Автолоґін';
+$lang['remove this tag from the list'] = 'видалити цей теґ зі списку';
 $lang['representative'] = 'зразок';
 $lang['Search for Author'] = 'Пошук по автору';
 $lang['Search in albums'] = 'Пошук в альбомах';
-$lang['Search by Date'] = 'Пошук по даті';
 $lang['Date'] = 'Дата';
 $lang['End-Date'] = 'Кінцева дата';
@@ -294,7 +286,5 @@
 $lang['Search for words'] = 'Пошук по словам';
 $lang['Search for all terms'] = 'Пошук по всім словам';
-$lang['Search for any terms'] = 'Пошук по будь-якому слову';
 $lang['Empty query. No criteria has been entered.'] = 'Порожній запит. Не був введений жоден критерій.';
-$lang['Search Options'] = 'Опції пошуку';
 $lang['%d Kb'] = '%d Кб';
 $lang['Search results'] = 'Результати пошуку';
@@ -318,5 +308,4 @@
 $lang['today'] = 'сьогодні';
 $lang['Update your rating'] = 'Оновити вай рейтинг';
-$lang['wrong filename'] = "невірне ім'я файлу";
 $lang['the username must be given'] = "необхідно ім'я користувача";
 $lang['Album: %s'] = 'Альбом: %s';
@@ -327,8 +316,7 @@
 $lang['%d photo is also linked to current tags'] = "%d фотографія також пов'язана з поточними мітками";
 $lang['%d photos are also linked to current tags'] = "%d фотографій також пов'язані з поточними мітками";
-$lang['display photos linked to this tag'] = "показувати фотографії, пов'язані з поточними мітками";
+$lang['display photos linked to this tag'] = 'показувати фотографії, пов\'язані з поточними теґами';
 $lang['photos posted during the last %d days'] = 'фотографії, завантажені протягом останніх %d днів';
 $lang['delete all photos from your favorites'] = 'видалити всі фотографії з обраних';
-$lang['edit this comment'] = 'редагувати цей коментар';
 $lang['Edit a comment'] = 'Редагувати коментар';
 $lang['Are you sure?'] = 'Ви впевнені?';
@@ -344,13 +332,10 @@
 $lang['This author modified following comment:'] = 'Цей автор змінив наступний коментар:';
 $lang['This author removed the comment with id %d'] = 'Цей автор видалив коментар з ідентифікатором %d';
-$lang['delete this comment'] = 'видалити цей коментар';
-$lang['validate this comment'] = 'перевірити цей коментар';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = "Невірний статус для користувача \"гість\", буде використовуватись статус за замовчуванням. Будь ласка, повідомте вебмайстра.";
 $lang['N/A'] = 'невідомий';
 $lang['IP: %s'] = "IP: %s";
-$lang['html tags are not allowed in login'] = 'логін не повинен містити html тегів';
+$lang['html tags are not allowed in login'] = 'лоґін не повинен містити html тегів';
 $lang['%d rates'] = '%d голосів';
 $lang['Rating score'] = 'Рейтинговий бал';
-$lang['Enter a username or email address'] = 'Введіть ім\'я користувача або адресу електронної пошти';
 $lang['Invalid username or email'] = 'Невірне ім\'я користувача або адреса електронної пошти';
 $lang['Password reset is not allowed for this user'] = 'Оновлення паролю не дозволено для цього користувача';
@@ -371,7 +356,21 @@
 $lang['Change my password'] = 'Змінити мій пароль';
 $lang['Enter your new password below.'] = 'Введіть ваш новий пароль нижче.';
-$lang['Reset Password'] = 'Оновити пароль';
 $lang['EXIF Metadata'] = 'EXIF метадані';
 $lang['IPTC Metadata'] = 'IPTC метадані';
-
+$lang['At least one tag must match'] = 'Хоча б один тег повинен бути присутнім';
+$lang['New password confirmation does not correspond'] = 'Підтвердження нового пароля не співпадає';
+$lang['add to caddie'] = 'додати в кадді';
+$lang['caddie'] = 'Кадді';
+$lang['download'] = 'завантажити';
+$lang['download this file'] = 'завантажити цей файл';
+$lang['E-mail address'] = 'E-mail адреса';
+$lang['Search by Date'] = 'Пошук по даті';
+$lang['Search for any terms'] = 'Пошук по будь-якому слову';
+$lang['Search Options'] = 'Опції пошуку';
+$lang['wrong filename'] = "невірне ім'я файлу";
+$lang['edit this comment'] = 'редагувати цей коментар';
+$lang['delete this comment'] = 'видалити цей коментар';
+$lang['validate this comment'] = 'перевірити цей коментар';
+$lang['Enter a username or email address'] = 'Введіть ім\'я користувача або адресу електронної пошти';
+$lang['Reset Password'] = 'Оновити пароль';
 ?>
Index: /branches/2.3/language/uk_UA/install.lang.php
===================================================================
--- /branches/2.3/language/uk_UA/install.lang.php	(revision 13195)
+++ /branches/2.3/language/uk_UA/install.lang.php	(revision 13195)
@@ -0,0 +1,69 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Admin configuration'] = 'Конфігурація адміністратора';
+$lang['also given by your host provider'] = 'також дізнайтесь у Вашого хостинг-провайдера';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Альтернативним рішенням є копіювання тексту в поле вище і вставте його в файл "local/config/database.inc.php" (Попередження: database.inc.php повинен містити тільки те, що в текстовому полі, без зворотної лінії або пропусків)';
+$lang['Basic configuration'] = 'Базова конфігурація';
+$lang['Can\'t connect to server'] = 'Не вдається підключитися до сервера';
+$lang['Congratulations, Piwigo installation is completed'] = 'Вітаємо, Piwigo завершив встановлення';
+$lang['Connection to server succeed, but it was impossible to connect to database'] = 'З\'єднання з сервером успішно, але з\'єднання з базою даних неможлива';
+$lang['Creation of config file local/config/database.inc.php failed.'] = 'Створення файлу конфігурації local/config/database.inc.php не вдалося.';
+$lang['Database configuration'] = 'Конфігурація бази даних';
+$lang['Database name'] = 'Ім\'я бази даних';
+$lang['Database table prefix'] = 'Префікс таблиць бази даних';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'таблиці бази даних імена, яких будуть починатися з префіксами (дозволяє управляти таблицями краще)';
+$lang['Default gallery language'] = 'Типова мова галереї';
+$lang['Download the config file'] = 'Завантажити файл конфігурації';
+$lang['enter a login for webmaster'] = 'введіть лоґін веб-майстра';
+$lang['Hope to see you back soon.'] = 'Сподіваюся побачити вас найближчим часом.';
+$lang['Host'] = 'Хост';
+$lang['Installation'] = 'Встановлення';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Схоже, ваш хостинг в даний час працює з PHP %s.';
+$lang['It will be shown to the visitors. It is necessary for website administration'] = 'Він буде показаний відвідувачам. Це необхідно для адміністрації сайту';
+$lang['Just another Piwigo gallery'] = 'Ще одна галерея Piwigo';
+$lang['Keep it confidential, it enables you to access administration panel'] = 'Тримайте його конфіденційність, він дозволяє отримати доступ до адміністративної панелі';
+$lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.hosting.com.ua, toto.1gb.ua';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'пошта повинна бути xxx@yyy.eee (наприклад: animan@pixobox.org)';
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Потрібна допомога? Задайте питання на <a href="%s">Дошці оголошень Piwigo </a>.';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Зверніть увагу, ви можете змінити свою конфігурацію і перезавантажити собі Piwigo після цього.';
+$lang['Password'] = 'Пароль';
+$lang['Password [confirm]'] = 'Пароль [підтвердження]';
+$lang['PHP 5 is required'] = 'Потрібен PHP 5';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo можуть спробувати перемкнути конфігурацію PHP 5 шляхом створення або зміни .htaccess файлу.';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo не зміг налаштувати PHP 5.';
+$lang['please enter your password again'] = 'введіть пароль ще раз';
+$lang['Sorry!'] = 'Вибачте!';
+$lang['Start Install'] = 'Початок встановлення';
+$lang['Try to configure PHP 5'] = 'Спробуйте налаштувати PHP 5';
+$lang['user login given by your host provider'] = 'лоґін користувача дізнайтесь у вашого хостинг-провайдера';
+$lang['user password given by your host provider'] = 'лоґін користувача дізнайтесь у Вашого хостинг-провайдера';
+$lang['verification'] = 'перевірка';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'Відвідувачі зможуть використовувати цю пошту, щоб зв\'язатися з адміністратором сайту';
+$lang['Webmaster login'] = 'Лоґін веб-майстра';
+$lang['webmaster login can\'t contain characters \' or "'] = 'лоґін веб-майстера не може містити символів \' або "';
+$lang['Webmaster mail address'] = 'Адреса електронної пошти веб-майстра';
+$lang['Webmaster password'] = 'Пароль веб-майстра';
+$lang['Welcome to my photo gallery'] = 'Ласкаво просимо в фотогалерею';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Ви можете завантажити конфігураційний файл і завантажити його до local/config каталогу встановлення.';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Ви повинні звернутися в службу підтримки вашого хостинг-провайдера і подивитися, як ви можете переключитися на PHP 5 самостійно.';
+?>
Index: /branches/2.3/language/uk_UA/upgrade.lang.php
===================================================================
--- /branches/2.3/language/uk_UA/upgrade.lang.php	(revision 13195)
+++ /branches/2.3/language/uk_UA/upgrade.lang.php	(revision 13195)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['All sub-albums of private albums become private'] = 'Всі вкладені альбоми приватних альбомів стали приватними';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'В якості запобіжного заходу, наступні плаґіни були відключені. Ви повинні перевіряти оновлення плагінів до їх відновлення:';
+$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'В якості запобіжного заходу, теми вони були відключені. Ви повинні перевірити оновлення перед тим як активуєте їх:';
+$lang['In <i>%s</i>, before <b></b>, insert:'] = 'В <i>%s</i>, до <b></b>, вставити:';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Тільки адміністратор може запустити оновлення: увійдіть у систему нижче.';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Тільки префікс ескізів та адресу електронної пошти веб-майстра збережено збережено від попередньої конфігурації';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Їх виконає автоматична перевірка в [Адміністрування> Сервіс> Обслуговування], якщо у вас виникнуть якісь проблеми.';
+$lang['SQL queries'] = 'SQL запитів';
+$lang['Statistics'] = 'Статистика';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Ця сторінка пропонує оновлення базу даних, що оновлює вашу стару версію Piwigo до поточної версії. Помічник оновлення думає, що ви в даний час працюєте з <strong>релізом %s</strong>(або подібним).';
+$lang['total SQL time'] = 'загальний час SQL';
+$lang['total upgrade time'] = 'загальний час оновлення';
+$lang['Upgrade'] = 'Оновлення';
+$lang['Upgrade from version %s to %s'] = 'Оновлення з версії %s на %s';
+$lang['Upgrade informations'] = 'Інформація оновлення';
+$lang['User permissions and group permissions have been erased'] = 'Користувачі та групи дозволів було видалено';
+$lang['You do not have access rights to run upgrade'] = 'У вас немає прав доступу для запуску оновлення';
+?>
